#pragma once


// CPrivacyDialog dialog

class CPrivacyDialog : public CDialog
{
	DECLARE_DYNCREATE(CPrivacyDialog)

public:
	CPrivacyDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPrivacyDialog();

// Overrides
	void OnButtonOK();

// Dialog Data
	enum { IDD = IDD_PRIVACY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

private:
	// Stores the value for the online help setting.
	BOOL m_bOnlineHelp;
	// Stores the value for the online search setting.
	BOOL m_bOnlineSearch;
	// Stores the value for the automatic update  setting.
	BOOL m_bAutoUpdate;
	// TRUE if the administrator has not overridden the privacy settings
	BOOL m_bNotOverriddenByAdmin;
public:
	DWORD ERTWER;
};
