<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<title>Resume Submission Screen</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body>
		<center><h1>Resume Submission Screen</h1></center>
		<p>
		Enter information about yourself in each of the blocks below. Indicate the category
		of the data that you are placing into each block. Readers of your resume will be restricted
		to the category of data that they can read from your resume based on the reader's role in the company.

<!-- #include file = "Password.inc" -->

<%
	Dim arrCategory(20)	    ' Define data category array
	Dim arrCategoryID(20)	' Define data category ID array

	' Connect to the DrOffice database
	Set oConn = CreateObject("adodb.connection")
	oConn.Open "DROfficeDB", "DBTest", Password
	
	' Get the data access category granted for the current role
	Set oRS = oConn.Execute("SELECT * FROM DataCategory")
	i = 0

	' Process each returned row
	Do while NOT oRS.EOF
		i = i + 1
		arrCategory(i) = oRS("Name")
		arrCategoryID(i) = oRS("DataCategory")
		oRS.MoveNext
	Loop
%>
		<form action="SubmitResume.asp" METHOD="post">
			<table width= 90% border=0>
				<tr>
					<td align="right">Name: 
					<td><input align="right" name="name" size=50 >
				<tr>
					<td align="right" valign=top>Address: 
					<td><textarea name="Address" style="WIDTH: 100%; HEIGHT: 92px"></textarea>
				<tr>
				<tr>
				<tr>
					<td colspan=2>Select a data category for each data block below and enter
					              information for the data block in the space provided.
				<tr>
				<tr>
				<tr>
					<td colspan=2 align="center"><B>Data Block One</B> 
				<tr>
					<td align="right" valign=top>Data category: 
					  <select name="Category1">
						<option value=<%=arrCategoryID(1)%> selected><%=Server.HTMLEncode(arrCategory(1))%>
<%
					For j = 2 to i
%>
						<option value=<%=arrCategoryID(j)%>><%=Server.HTMLEncode(arrCategory(j))%>
<%
					Next
%>
						</option> 
					  </select>
					<td><textarea name="Data1" style="WIDTH: 100%; HEIGHT: 92px"></textarea>
				<tr>
				<tr>
				<tr>
					<td colspan=2 align="center"><B>Data Block Two</B> 
				<tr>
					<td align="right" valign=top>Data category: 
					  <select name="Category2">
						<option value=<%=arrCategoryID(1)%> selected><%=Server.HTMLEncode(arrCategory(1))%>
<%
					For j = 2 to i
%>
						<option value="<%=arrCategoryID(j)%>"><%=Server.HTMLEncode(arrCategory(j))%>
<%
					Next
%>
						</option> 
					  </select>
					<td><textarea name="Data2" style="WIDTH: 100%; HEIGHT: 92px"></textarea>
				<tr>
				<tr>
				<tr>
					<td colspan=2 align="center"><B>Data Block Three</B> 
				<tr>
					<td align="right" valign=top>Data category: 
					  <select name="Category3">
						<option value=<%=arrCategoryID(1)%> selected><%=Server.HTMLEncode(arrCategory(1))%>
<%
					For j = 2 to i
%>
						<option value="<%=arrCategoryID(j)%>"><%=Server.HTMLEncode(arrCategory(j))%>
<%
					Next
%>
						</option> 
					  </select>
					<td><textarea name="Data3" style="WIDTH: 100%; HEIGHT: 92px"></textarea>
				<tr>
				<tr>
					<td align="center" colspan="2"><input value="Submit" type="submit">
			</table>
		</form>
		<center><b>Note:</b> Maximum 300 characters in each data block.
	</body>
</html>
