<%@ Language=VBScript %>
<html>
	<head>
		<title>Submit Resume</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body>
		<center><h1>Submit Resume</h1>

<!-- #include file = "Password.inc" -->

<% 
	' Copy the resume data to local variables
	Name = Server.HTMLEncode(Request.Form("Name"))
	Address = Server.HTMLEncode(Request.Form("Address"))

	Category1 = Server.HTMLEncode(Request.Form("Category1"))
	Category2 = Server.HTMLEncode(Request.Form("Category2"))
	Category3 = Server.HTMLEncode(Request.Form("Category3"))

	Data1 = Server.HTMLEncode(Request.Form("Data1"))
	Data2 = Server.HTMLEncode(Request.Form("Data2"))
	Data3 = Server.HTMLEncode(Request.Form("Data3"))
	
	' Connect to the DrOffice database
	Set oConn = CreateObject("adodb.connection")
	oConn.Open "DROfficeDB", "DBTest", Password
	
	' Setup the command object
	Set oCmd = CreateObject("adodb.command")
	oCmd.ActiveConnection = oConn
	oCmd.CommandType = 1
	oCmd.Prepared = true

	' Enter the new name into the Prospect table
	oCmd.CommandText = "INSERT INTO Candidate (Name) VALUES(?)"
	Set Parm1 = oCmd.CreateParameter("Name", 200, 1, 50, Name)
	oCmd.Parameters.Append parm1
	oCmd.Execute

	' Get the ID for the newly entered record
	Set oRS = oConn.Execute("SELECT @@IDENTITY AS 'Identity'")
	ID = oRS("Identity")
	
	oCmd.Parameters.Delete 0 ' Remove the Name parameter from the collection
	
	oCmd.CommandText = "INSERT INTO Resume (ID, DataCategory, Data) VALUES(?, ?, ?)"

	' Enter the Address in the database as a contact object
	Set Parm1 = oCmd.CreateParameter("ID", 3, 1, 4, ID)
	oCmd.Parameters.Append parm1
	
	Set Parm2 = oCmd.CreateParameter("DataCategory", 3, 1, 4, 100)
	oCmd.Parameters.Append parm2
	
	Set Parm3 = oCmd.CreateParameter("Data", 200, 1, 300, Address)
	oCmd.Parameters.Append parm3
	oCmd.Execute

	oCmd.Parameters.Delete 2 ' Remove the data value from the object
	oCmd.Parameters.Delete 1 ' Remove the data category from the object

	' Enter data block one in the database
	Set Parm2 = oCmd.CreateParameter("DataCategory", 3, 1, 4, Category1)
	oCmd.Parameters.Append parm2
	
	Set Parm3 = oCmd.CreateParameter("Data", 200, 1, 300, Data1)
	oCmd.Parameters.Append parm3
	oCmd.Execute
	
	oCmd.Parameters.Delete 2 ' Remove the data value from the object
	oCmd.Parameters.Delete 1 ' Remove the data category from the object

	' Enter data block two into the database
	Set Parm2 = oCmd.CreateParameter("DataCategory", 3, 1, 4, Category2)
	oCmd.Parameters.Append parm2
	
	Set Parm3 = oCmd.CreateParameter("Data", 200, 1, 300, Data2)
	oCmd.Parameters.Append parm3
	oCmd.Execute
	
	oCmd.Parameters.Delete 2 ' Remove the data value from the object
	oCmd.Parameters.Delete 1 ' Remove the data category from the object

	' Enter data block three into the database
	Set Parm2 = oCmd.CreateParameter("DataCategory", 3, 1, 4, Category3)
	oCmd.Parameters.Append parm2
	
	Set Parm3 = oCmd.CreateParameter("Data", 200, 1, 300, Data3)
	oCmd.Parameters.Append parm3
	oCmd.Execute
	
	Set Parm1 = Nothing
	Set Parm2 = Nothing
	Set Parm3 = Nothing
	Set oCmd = Nothing
	Set oConn = Nothing
	Set oRS = Nothing

	Response.Write "<P><h2>Resume Stored"
%>
		</table>
	</body>
</html>
