<%@ Language=VBScript %>
<html>
<head>
	<title>Login Screen</title>
	<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
</head>
<body>
<h1>Logging In...</h1>

<!-- #include file = "Password.inc" -->

<%
	' Get the selected user ID from the form
	UserID = Server.HTMLEncode(Request.Form("UserID"))
	
	' Connect to the database
	Set oConn = CreateObject("adodb.connection")
	oConn.Open "DROfficeDB", "DBTest", Password

	' Setup the command object
	Set oCmd = CreateObject("adodb.command")
	oCmd.ActiveConnection = oConn
	oCmd.CommandType = 1
	oCmd.Prepared = true

	' Retrieve the user's role from the database
	oCmd.CommandText = "SELECT Role FROM Staff WHERE Name = ?"
	Set Parm1 = oCmd.CreateParameter("Name", 200, 1, 50, UserID)
	oCmd.Parameters.Append parm1

	' Send the select statement to the database
	Set oRS = oCmd.Execute
	
	Role = Server.HTMLEncode(oRS("Role"))
	
	oCmd.Parameters.Delete 0 ' Remove the Name parameter from the collection
	
	' Retrieve the data category for the user's role from the database
	oCmd.CommandText = "SELECT DataCategory FROM DataMap WHERE Role = ?"
	Set Parm1 = oCmd.CreateParameter("Role", 200, 1, 50, Role)
	oCmd.Parameters.Append parm1

	' Send the select statement to the database
	Set oRS = oCmd.Execute
	
	' Store the user ID, data category and role in the session object
	' and redirect to the patients list
	Session("DataCategory") = Server.HTMLEncode(oRS("DataCategory"))	
	Session("Role") = Role	
	Session("UserID") = UserID	

	Set oRS = Nothing
	Set oCmd = Nothing
	Set oConn = Nothing
	Set Parm1 = Nothing

	' Switch to the patient ASP page
	response.Redirect("DisplayData.asp")
%>
</body>
</html>
