<%@ Language=VBScript %>
<html>
	<head>
		<title>Data Categories</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body>
<!-- #include file = "Password.inc" -->

<%
	' Open the Authorization Store in the XML file	
	Set AzManStore = CreateObject("Azroles.AzAuthorizationStore")
	AzManStore.Initialize 0, "msxml://C:\DrOffice\DrOffice.xml"
	
	' Open the Patients application in the Authorization Store
	Set App = AzManStore.OpenApplication("Patients")
	
	' Load the security context for the current user
	' Anonymous access to the web site must be turned
	' off for this to work
	Set CCHandle = App.InitializeClientContextFromToken(0, 0)
	
	' Read the user's roles from the data store
	Roles = CCHandle.GetRoles()
	
	' Only read the first role from the list and store it in the session
	' object along with the ID of the logged on user
	Session("Role") = Roles(0)	
	Session("UserID") = Request.ServerVariables("LOGON_USER")	

	' Connect to the database
	Set oConn = CreateObject("adodb.connection")
	oConn.Open "DROfficeDB", "DBTest", Password

	' Setup the command object
	Set oCmd = CreateObject("adodb.command")
	oCmd.ActiveConnection = oConn
	oCmd.CommandType = 1
	oCmd.Prepared = true

	' Retrieve the data category for the user's role from the database
	oCmd.CommandText = "SELECT DataCategory FROM DataMap WHERE Role = ?"
	Set Parm1 = oCmd.CreateParameter("Role", 200, 1, 50, Roles(0))
	oCmd.Parameters.Append parm1

	' Send the select statement to the database
	Set oRS = oCmd.Execute

	' Store the data category for the current user's role
	Session("DataCategory") = Server.HTMLEncode(oRS("DataCategory"))	

	Set CCHandle = Nothing
	Set App = Nothing
	Set AzManStore = Nothing

	' Switch to the patient ASP page
	response.Redirect("DisplayData.asp")
%>
	</body>
</html>
