<%@ Language=VBScript %>
<html>
	<head>
		<title>Application Tables</</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body>
		<center>
		<h1>Application Tables</h1>
<table>
<tr valign=top><td>
		<p>
		<! Display the table with the list of the employee names along
		   with their role>
		<table border=1 ID="Table3">
			<th colspan=2><h3>Staff</th>
			<tr>
			<th>Name</td>
			<th>Role</td>

<!-- #include file = "Password.inc" -->

<%
			Set oConn = CreateObject("adodb.connection")
			oConn.Open "DROfficeDB", "DBTest", Password

			' Get the rows from the employee table		
			Set oRS = oConn.Execute("SELECT * FROM Staff")
				
			Do while NOT oRS.EOF
%>
			<tr>
			<td><%=Server.HTMLEncode(oRS("Name"))%>
			<td><%=Server.HTMLEncode(oRS("Role"))%>
<%
			oRS.MoveNext
		Loop

%>
		</table>
		
		<td width=20>
		<td>
		<p>
		<! Display the table that holds the mapping of role to the 
		   category of data that the role can access>
		<table border=1 ID="Table1">
			<th colspan=2><h3>Data Map</th>
			<tr>
			<th>Role</td>
			<th>DataCategory</td>
<%
			' Get the rows from the data mapping table		
			Set oRS = oConn.Execute("SELECT * FROM DataMap")
				
			Do while NOT oRS.EOF
%>
			<tr>
			<td><%=Server.HTMLEncode(oRS("Role"))%>
			<td align=right><%=Server.HTMLEncode(oRS("DataCategory"))%>
<%
			oRS.MoveNext
		Loop

%>
		</table>
		
		<tr height=20>
		<td></td>
		<tr>
		<td valign=top>
		<p>
		<! Display the table that holds the data category definitions>
		<table border=1 ID="Table4">
			<th colspan=2><h3>Data Category</th>
			<tr>
			<th>DataCategory</td>
			<th>Value</td>
<%
			' Get the rows from the data mapping table		
			Set oRS = oConn.Execute("SELECT * FROM DataCategory")
				
			Do while NOT oRS.EOF
%>
			<tr>
			<td><%=Server.HTMLEncode(oRS("Name"))%>
			<td align=right><%=Server.HTMLEncode(oRS("DataCategory"))%>
<%
			oRS.MoveNext
		Loop

%>
		</table>

		<td width=20>
		<td valign=top>
		<p>
		<! Display the category for the columns in the Patients table>
		<table border=1 ID="Table2">
			<th colspan=2><h3>Column categories</th>
			<tr>
			<th>Column</td>
			<th>Category</td>


<%
			' Get the column names from the Patients table		
			Set oRS = oConn.Execute("SELECT Top 0 * FROM Patients")

			Set Flds = oRS.Fields

			For Each fld In Flds
				Set oRS = oConn.Execute("SELECT CAST([value] AS varchar) AS [Value] FROM " &_
										"::FN_LISTEXTENDEDPROPERTY('DataCategory', 'User', " &_
										"'dbo','table', 'patients', 'column', '" & Fld.name & "')")
%>                        
				<tr>
				<td><%=Server.HTMLEncode(Fld.name)%></td>
				<td align=right><%=Server.HTMLEncode(oRS("value"))%></td>
<%
			Next
			
			oRS.Close
			oConn.Close
			Set Flds = Nothing
			Set oRS = Nothing
			Set oConn = Nothing
%>
		</table></table>
	</body>
</html>
